File: ruby-netcdf.gemspec

package info (click to toggle)
ruby-netcdf 0.7.2-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 1,208 kB
  • sloc: ansic: 4,058; ruby: 1,743; makefile: 14; csh: 6
file content (28 lines) | stat: -rw-r--r-- 1,909 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'numru/netcdf/version'

Gem::Specification.new do |spec|
  spec.name          = "ruby-netcdf"
  spec.version       = NumRu::NetCDF::VERSION
  spec.authors           = ["Takeshi Horinouchi", "Tsuyoshi Koshiro",\
    "Shigenori Otsuka", "Seiya Nishizawa", "T Sakakima"]
  spec.email            = ['eriko@gfd-dennou.org']

  spec.summary          = %q{Ruby interface to NetCDF}
  spec.description      = %q{RubyNetCDF is the Ruby interface to the NetCDF library built on the NArray library, which is an efficient multi-dimensional numeric array class for Ruby. This version works with Ruby2.0.}

  spec.homepage         = 'http://www.gfd-dennou.org/arch/ruby/products/ruby-netcdf/'
  spec.licenses         = ["BSD-2-Clause"]

  spec.files         = [".gitignore",".rspec",".travis.yml","ChangeLog","Gemfile","INSTALL","LICENSE.txt","Rakefile","ToDo","bin/console","bin/setup","demo/README","demo/demo1-create-alt.rb","demo/demo1-create.rb","demo/demo2-graphic.rb","demo/demo3-ncepclim.rb","demo/demo4-copy.rb","demo/demo5-netcdf4.rb","doc/README_JP.txt","doc/Ref_man.html","doc/Ref_man.rd","doc/Ref_man_jp.html","doc/Ref_man_jp.rd","doc/to_html","extconf.rb","lib/netcdf.rb","lib/netcdf_miss.rb","lib/version.rb","metadata.yml","netcdfraw.c","ruby-netcdf.gemspec","test/aref_aset.rb","test/char_var.rb","test/clone.rb","test/create_tmp.rb","test/def_var_with_dim.rb","test/factor_offset.rb","test/putatt.cdl","test/putatt.rb","test/test.cdl","test/test.rb","test/type.rb"]
  spec.test_files    = spec.files.grep(%r{^(test|demo)/})
  spec.require_paths = ["ext","lib"]
  spec.extensions << "ext/numru/extconf.rb"

  spec.required_ruby_version = Gem::Requirement.new(">= 1.8")
  spec.add_runtime_dependency(%q<narray>, [">= 0"])
  spec.add_runtime_dependency(%q<narray_miss>, [">= 0"])

end